#Mysql
spring.datasource.url=jdbc:mysql://192.168.4.200:3306/powersell_v5_backend?useSSL=false&rewriteBatchedStatements=true&characterEncoding=UTF-8
spring.datasource.username=enginev5
spring.datasource.password=F3f4.$r23423099

spring.datasource.hikari.connection-timeout=10000 
spring.datasource.hikari.minimum-idle=1
spring.datasource.hikari.maximum-pool-size=5
spring.datasource.hikari.connection-test-query=SELECT 1
spring.datasource.hikari.pool-name=data-audit

#Frontend Database
spring.frontend.datasource.url=jdbc:mysql://192.168.4.200:3306/powersell_v5_frontend?useSSL=false
spring.frontend.datasource.username=enginev5
spring.frontend.datasource.password=F3f4.$r23423099

spring.frontend.datasource.hikari.connection-timeout=10000 
spring.frontend.datasource.hikari.minimum-idle=1
spring.frontend.datasource.hikari.maximum-pool-size=5
spring.frontend.datasource.hikari.connection-test-query=SELECT 1
spring.frontend.datasource.hikari.pool-name=frontend

spring.jpa.show-sql=true
spring.jpa.properties.hibernate.dialect = org.hibernate.dialect.MySQL5InnoDBDialect
spring.jpa.hibernate.ddl-auto=none

#Logging
logging.level.org.springframework=ERROR
debug=false
trace=true

#Schedule setting for dev enviroment
#Format: <second> <minute> <hour> <day-of-month> <month> <day-of-week> <year>(optional)
job.cron.expression=0 0/10 3-7 * * * 
job.cron.enabled=true
job.day=60
job.limit=10000

#web application config
spring.application.name=data-audit
spring.main.banner-mode=off


#spring.main.web-application-type=NONE
server.port=10050
management.endpoints.web.exposure.include=*
management.endpoint.health.show-details=always

#Open tracing
opentracing.jaeger.enabled=true
opentracing.jaeger.udp-sender.host=192.168.4.202
opentracing.jaeger.udp-sender.port=6831
opentracing.jaeger.log-spans=true
opentracing.jaeger.const-sampler.decision=true
#Where value is between 0.0 (no sampling) and 1.0 (sampling of every request)
opentracing.jaeger.probabilistic-sampler.sampling-rate=1
#when sampler.param=2.0 it will sample requests with the rate of 2 traces per second.
opentracing.jaeger.rate-limiting-sampler.max-traces-per-second=10

opentracing.spring.cloud.scheduled.enabled=false
opentracing.spring.cloud.jdbc.enabled=false
opentracing.spring.rabbitmq.enabled=false
opentracing.spring.cloud.redis.enabled=false
opentracing.spring.cloud.async.enabled=false